
import os, sys, time, logging
from PyQt6.QtWidgets import QApplication
from logging.handlers import RotatingFileHandler
from tweetypy.config import configure
from tweetypy.mainwin import MainWin

def main():
   print('hello')
   logging.basicConfig(
      level=logging.INFO,
      format='%(created)f <%(levelno)s> %(module)12s(%(lineno)03d): %(message)s',
      handlers = [
         logging.StreamHandler(),
         RotatingFileHandler('tweetypy.log', maxBytes=(4 * 1024 * 1024), backupCount=255)
      ]
   )
   logging.addLevelName(25, 'DATA')
   log = logging.getLogger()
   log.info('---------------------------------------------')
   log.info(f'TweetyPy started on {time.asctime(time.localtime())}')
   log.info('Copyright 2017-2023 Jesse McClure')
   log.info('License: MIT')
   log.info('---------------------------------------------')

   app = QApplication(sys.argv)
   config = configure(app)

   args = sys.argv[1:]
   files = [arg for arg in args if os.path.isfile(arg)]
   flags = [arg for arg in args if arg[0] == '-']
   other = [arg for arg in args if arg not in files + flags]
   # TODO log.set
   # log.handlers[0].setLevel('DEBUG')

   if flags:
      log.warning(f'Ignoring unrecognized flags: {flags}')
   if other:
      log.warning(f'Ignoring unrecognized arguments: {other}')
   win = MainWin(files, config)
   return app.exec()
